<?php

  /*
  //verifica la sesion correcta del usuario
  session_start();    
  $acceso = $_SESSION [ "acceso" ];   
    
  if ($acceso !=1){    
     header('Location: index.php');
  }
*/
// conexion a la base de datos

if ($cargoUsuario=="ODONTOLOGO" OR $cargoUsuario=="BARRA ODONTOLOGIA")
{
  $irAction = "action=sioMenu.php";
}
else
{
  $irAction = "action=menuOpciones.php";
}
  
include("conexion.php");
 
$conexion = @new mysqli($host, $user, $clave, $db);
 
if ($conexion->connect_error) //verificamos si hubo un error al conectar, recuerden que pusimos el @ para evitarlo
{
    die('Error de conexion: ' . $conexion->connect_error); //si hay un error termina la aplicacion y mostramos el error
}
 
//consulta sedes
$sql="SELECT codSede, nomSede from SIME_BAS_SEDES where nitEmpresa = $nitEmpresa order by codSede";
$result = $conexion->query($sql); //usamos la conexion para dar un resultado a la variable
 
if ($result->num_rows > 0) //si la variable tiene al menos 1 fila entonces seguimos con el codigo
{
    $comboSedes="";
    while ($row = $result->fetch_array(MYSQLI_ASSOC)) 
    {
        $comboSedes .=" <option value='".$row['codSede']."'>".$row['nomSede']."</option>"; //concatenamos el los options para luego ser insertado en el HTML
    }
}
else
{
    echo "No existen sedes asociadas a la empresa";
}

/*
//registra entrada del usuario al sistema
$nomArch = "logeado.txt";
$fp = fopen("logeado.txt", 'wb');
fputs($fp, $usuarioArch );
fclose ($fp);
*/

// ACTUALIZA EN LA BD EL LOG DE INGRESO DEL USUARIO
$sql = " select count(*) as cuantos from SIME_LOG_CON where logUsuario = '$usuarioArch'";
$result = $conexion->query($sql); //usamos la conexion para dar un resultado a la variable
while ($row = $result->fetch_array(MYSQLI_ASSOC)) 
{
  $cuantos = $row[cuantos];
}

if ($cuantos==0)
{
 $query =  "INSERT INTO SIME_LOG_CON (logUsuario,conectado) VALUES('$usuarioArch', 'S')";
 $result = mysql_query($query) or die('Adicion fallida: ' . mysql_error()); 
}
else
{
 $query = " UPDATE SIME_LOG_CON SET logUsuario = '$usuarioArch', conectado ='S' WHERE logUsuario = '$usuarioArch'";
 $result = mysql_query($query) or die('Modificacion fallida: ' . mysql_error()); 
}

//REGISTRO DE ENTRADAS Y SALIDAS DEL SISTEMA
//$query1 = " INSERT INTO SIME_LOG (logUsuario, accion, tipoAccion) VALUES('$usuarioArch','E','CON')"; 
//$result = mysql_query($query1) or die('Modificacion fallida: ' . mysql_error());

/*
//ARCHIVO USUARIO
$archivoUs = fopen ("logeado.txt", "r"); 
$nLinUs = 0;
$nCarUs = 0; 
while (!feof ($archivoUs)) 
{
  //si extraigo una línea del archivo y no es false
  if ($lineaUs = fgets($archivoUs))
  {
    //acumulo una en la variable número de líneas
    $nLinUs++;
    //acumulo el número de caracteres de esta línea
    $nCarUs += strlen($lineaUs);
  }
}
fclose ($archivoUs);
*/
$conexion->close(); //cerramos la conexion


?>
  
<head> 
  <?php  
    echo "<meta http-equiv='refresh' content='1800; URL=ctlLog.php?usu=$s_idUsuario&mot=DTO'>"; //1800 = 30 MINUTOS DE ESPERA
  ?>
  <style type="text/css" media="all">@import "./estilos.css";</style>     
  <link rel="icon" type="image/png" href="imagenes/hdIcon.png" /> 
</head> 
<body class="fondo">
 <div align="center"></div>
 <form id="form1" name="Login" method="POST" action="menuOpciones.php" ENCTYPE="multipart/form-data">
  <table width="700" height="220" border="1" bordercolor="gray" align="center" cellpadding="6">
    <tr>
     <td align="center" colspan="3"><img alt="" src="imagenes/userOk.jpg" width="700"/></td>       
    </tr>
    
    <tr class="negrita" style="background-color: rgba(65, 191, 239, 0.3);">
      <input style="visibility:hidden" name="e_empresa" id="e_empresa" type="text" value="<?=$empresaUsuario?>" />
    </tr>
     
    <tr style="background-color: rgba(45, 111, 185, 0.7); color:white; font-size:12px;" align="center" >
       <td  colspan = "3"><LABEL><?=$workUsuario?></LABEL> </td>
         <input style="visibility:hidden" name="e_usuario" id="e_usuario" type="text" value="<?=$nombreUsuario?>" />
         
         <input style="visibility:hidden" name="e_cargo" id="e_cargo"  type="text" value="<?=$cargoUsuario?>" />
    </tr>
    
    <tr>
       <td class="negrita" align="right">
          Seleccione la sede de trabajo
       </td>
       
       <td colspan="2">
          <select name="e_codSede" id="e_codSede">
             <?php echo $comboSedes; ?>
          </select>
       </td>
    </tr>
   
      <input style="visibility:hidden" name="e_nitEmpresa" id="e_nitEmpresa" value="<?=$nitEmpresa?>"/>
      <input style="visibility:hidden" name="e_idUsuario" id="e_idUsuario" value="<?=$idUsuario?>"/>
      <input style="visibility:hidden" name="e_unCode" id="e_unCode" value="1"/>
      <input style="visibility:hidden" name="e_perfil" id="e_perfil" value="<?=$perfil?>"/>
    
    <tr class="negrita" style="background-color: rgba(65, 191, 239, 0.3);">
     <td>
       <div align="center">
          <p>SIME - Sistema de Informaci&oacute;n M&eacute;dica</p>
       </div>
     </td>
   
     <td>
      <input align="center" name="enviar" type="submit" value="Iniciar Sesion" />
     </td>
   
     <td colspan="2">
       <div align="center">
        <p> Desarrollado por <a href="http://www.softmakr.com" target="_new">softmakr.com</a> </p>
       </div>
     </td>
    </tr>
  </table>
</form>
</body>
</html>